Bug 1056614 - ML2 with OVS in GRE mode
Summary: ML2 with OVS in GRE mode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 5.0 (RHEL 7)
Assignee: lpeer
QA Contact: Nir Magnezi
URL:
Whiteboard: upstream_status_implemented
Depends On: 1068962 1096510
Blocks: RHOS50RFE 1071726
TreeView+ depends on / blocked
 
Reported: 2014-01-22 15:02 UTC by Nir Yechiel
Modified: 2016-04-26 19:22 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1071726 (view as bug list)
Environment:
Last Closed: 2014-07-08 15:34:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1100993 0 high CLOSED packstack should open Tunnel ports VXLAN and GRE 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHEA-2014:0848 0 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement - Networking 2014-07-08 19:23:05 UTC

Comment 4 Nir Magnezi 2014-02-26 14:35:51 UTC
Tested with Havana: openstack-neutron-2013.2-16.el6ost.noarch

Installation Steps:
===================
1. Used openstack-packstack-2013.2.1-0.24.dev982.el6ost to install an openstack deployment with OVS+GRE. Plesse note that I did not use packstack to configure the openstack deployment for ML2 due to Bug #1068962.
The Neutron parameters I used are as follows:

CONFIG_NEUTRON_INSTALL=y
CONFIG_NEUTRON_SERVER_HOST=192.168.160.27
CONFIG_NEUTRON_KS_PW=123456
CONFIG_NEUTRON_DB_PW=123456
CONFIG_NEUTRON_L3_HOSTS=192.168.160.27
CONFIG_NEUTRON_L3_EXT_BRIDGE=br-ex
CONFIG_NEUTRON_DHCP_HOSTS=192.168.160.29
CONFIG_NEUTRON_LBAAS_HOSTS=192.168.160.29
CONFIG_NEUTRON_L2_PLUGIN=ml2
CONFIG_NEUTRON_METADATA_HOSTS=192.168.160.27
CONFIG_NEUTRON_METADATA_PW=123456
CONFIG_NEUTRON_ML2_TYPE_DRIVERS=gre
CONFIG_NEUTRON_ML2_TENANT_NETWORK_TYPES=gre
CONFIG_NEUTRON_ML2_MECHANISM_DRIVERS=openvswitch
CONFIG_NEUTRON_ML2_FLAT_NETWORKS=*
CONFIG_NEUTRON_ML2_VLAN_RANGES=
CONFIG_NEUTRON_ML2_TUNNEL_ID_RANGES=185:185,208:210
CONFIG_NEUTRON_ML2_VXLAN_GROUP=
CONFIG_NEUTRON_ML2_VNI_RANGES=
CONFIG_NEUTRON_L2_AGENT=openvswitch
CONFIG_NEUTRON_LB_TENANT_NETWORK_TYPE=local
CONFIG_NEUTRON_LB_VLAN_RANGES=
CONFIG_NEUTRON_LB_INTERFACE_MAPPINGS=
CONFIG_NEUTRON_OVS_TENANT_NETWORK_TYPE=gre
CONFIG_NEUTRON_OVS_VLAN_RANGES=
CONFIG_NEUTRON_OVS_BRIDGE_MAPPINGS=
CONFIG_NEUTRON_OVS_BRIDGE_IFACES=
CONFIG_NEUTRON_OVS_TUNNEL_RANGES=185:185,208:210
CONFIG_NEUTRON_OVS_TUNNEL_IF=eth3
CONFIG_NEUTRON_OVS_VXLAN_UDP_PORT=4789

2. Applied the workwround mentione in Bug #1068962 and restart all neutron-openvswitch-agent services in your servers.

3. Configured ML2 with the instructions found in RDO site: http://openstack.redhat.com/ML2_plugin

Tests:
======
1. Communication bewteen two instances on the same tenant.
2. Communication bewteen two instances on different tenants + different compute nodes - private IP addresses.
3. Communication bewteen two instances on different tenants + different compute nodes - public IP addresses.
4. Instances are able to communicate with hosts from outside of the openstack deployment (via Neutron router connected to external vlan network)
5. Rebooted all nodes and re-tested all network flows nentioned above.
6. [negative test] tried to create a non-gre type network and got an error from Neutron that that type of network is not allowed (since the 'tenant_network_type=gre')

Comment 6 Ofer Blaut 2014-05-28 10:42:19 UTC
Tested using packstack installation

openstack-neutron-2014.1-20.el7ost.noarc
openstack-packstack-2014.1.1-0.14.dev1068.el7ost.noarch


Please note the GRE must be opened manually in iptables 

https://bugzilla.redhat.com/show_bug.cgi?id=1100993

Comment 8 errata-xmlrpc 2014-07-08 15:34:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2014-0848.html


Note You need to log in before you can comment on or make changes to this bug.